SmpFileProvider (SMP Provider 1.1.1-3.10.1 API)
Date: 2016-03-03

org.apache.commons.vfs2.provider

## Class SmpFileProvider

- java.lang.Object
- - org.apache.commons.vfs2.provider.AbstractVfsComponent
  - - org.apache.commons.vfs2.provider.AbstractVfsContainer
    - - org.apache.commons.vfs2.provider.AbstractFileProvider
      - - org.apache.commons.vfs2.provider.AbstractOriginatingFileProvider
        - - org.apache.commons.vfs2.provider.SmpFileProvider

- All Implemented Interfaces:
    org.apache.commons.vfs2.provider.FileProvider, org.apache.commons.vfs2.provider.VfsComponent

      public class SmpFileProvider
      extends org.apache.commons.vfs2.provider.AbstractOriginatingFileProvider

  A provider for SMP file systems.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmpFileProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.commons.vfs2.FileSystem` | `doCreateFileSystem(org.apache.commons.vfs2.FileName name, org.apache.commons.vfs2.FileSystemOptions fileSystemOptions)` Creates the filesystem.
    `Collection<org.apache.commons.vfs2.Capability>` | `getCapabilities()`
    `org.apache.commons.vfs2.FileSystemConfigBuilder` | `getConfigBuilder()`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractOriginatingFileProvider

      `findFile, findFile, getFileSystem`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractFileProvider

      `addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getFileNameParser, parseUri, setFileNameParser`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractVfsContainer

      `addComponent, removeComponent`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractVfsComponent

      `getContext, getLogger, init, setContext, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmpFileProvider

          public SmpFileProvider()

  - ### Method Detail

    - #### doCreateFileSystem

          protected org.apache.commons.vfs2.FileSystem doCreateFileSystem(org.apache.commons.vfs2.FileName name,
                                                              org.apache.commons.vfs2.FileSystemOptions fileSystemOptions)
                                                                   throws org.apache.commons.vfs2.FileSystemException

      Creates the filesystem.
      Specified by:
        `doCreateFileSystem` in class `org.apache.commons.vfs2.provider.AbstractOriginatingFileProvider`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### getConfigBuilder

          public org.apache.commons.vfs2.FileSystemConfigBuilder getConfigBuilder()

      Specified by:
        `getConfigBuilder` in interface `org.apache.commons.vfs2.provider.FileProvider`
      Overrides:
        `getConfigBuilder` in class `org.apache.commons.vfs2.provider.AbstractFileProvider`

    - #### getCapabilities

          public Collection<org.apache.commons.vfs2.Capability> getCapabilities()

Copyright © 2016. All Rights Reserved.